Index: .doxygen.conf
===================================================================
--- .doxygen.conf	(revision 3732)
+++ .doxygen.conf	(revision 3793)
@@ -6,5 +6,5 @@
 DOXYFILE_ENCODING      = UTF-8
 PROJECT_NAME           = Dotclear
-PROJECT_NUMBER         = 2.14
+PROJECT_NUMBER         = 2.15
 PROJECT_BRIEF          =
 PROJECT_LOGO           =
Index: .hgsigs
===================================================================
--- .hgsigs	(revision 3682)
+++ .hgsigs	(revision 3857)
@@ -1,2 +1,3 @@
 266ba234e2a5115e47379030e9439b6abcb11e80 0 iQEcBAABCgAGBQJV1WIcAAoJELwJObfmz3HnHHEH/1+ohmFEzHx5M90oAtQN4pQLsPCZ/fCVG5w6OoD56DOPP3IMaTSxlEzoG3mjWv0gzAb4zJjPErBwRy7keq3rjT5SyDs17aHRmCE91+YuGNBDnQHAD68gVZaQQ+L2d5+EHYdGtxcwiFUyRWEv+U/4NW0UexuJDVqzS6ztUC45D1a2Qt9Q4bbEsywmE5Bl7IP7hjxKlICJNo3fclpCgdryPeB7gatOJz4uw/T6tbJVzvD2ETA/9kp+hg2yFNWBhS0zgK/BKcinqlh2AW4fPDsrOvr7LnIQUt5KwdJmbNA3A8moF2EU9/PiF76tWF5IHtnk9x/bQjCgukZSZ383eUzlY58=
 ee065bfd6458b8fab13c8adf7649f8f988deb8e1 0 iQEzBAABCgAdFiEEl+7zWgi24VqTXSmqvAk5t+bPcecFAlprnkcACgkQvAk5t+bPcefsjQf/XYGUwwbDjOlWLdBRpGrnANElA1I8It6vlFJhMCBxlKm2USHMcQ0soOD4qFBUNioFBffPFLaD9wYHgU9oDfRzyKO09ntu0zO8jxetGrKItJJJqY9RUCKi5lYxvFICVwk3F7u8dU2Z5QxNI4g6rqlidxjzzBh9SprwcHi5kV33yLaShcvGjpU/23CstGRbfDy/rIBlC+xWEb8F8P+xQpPlzv7Ex7PBEAU3l3cdlwZic7gZM8c9rEf4fenH7WmWTAybeaga2RK5N2D6r4NB3+4zfr/AkwB7LCiLvNC+10RwoRHPwIZTe0pIf7AQG6YCXbWboEsbDD5bzJxpuTDjFJTTcA==
+1dc51dbf8899b36afeadf4433d8df2c06198822d 0 iQEzBAABCgAdFiEEl+7zWgi24VqTXSmqvAk5t+bPcecFAluOSrkACgkQvAk5t+bPcecItAf+OAikzkRFaOQ+OD3B73F2Ob8G3x/f6ujyQ2jhMzTiQ98cOcrvaejzsxxxuA3nRXIMWpaoFOnn+pLo0bWCeumGP0G6mG3XiZ+lEWsoxwIYGGKCns2/3xwSEjxT+EOz+qV0NfPvkHDdWNme9EUA1ljAZ/qR9UgumQK30t7LxT5C+JfzXm8jVWQYhJVYtAdNgUJdn2HQE+2xu0zTJIvaHS2LVGi+Qa+exL2/RjLl88YJLyDgIoPFP8/ncYSnTFcKY4SNP8AFAwH/b7DUcYpuBEiN0xM7TbOdDihtiS/PUpbECH7aei/N6ajWil7X8nFXWXLkPCSg48p7PtHYTEVhH6ZqmQ==
Index: .hgtags
===================================================================
--- .hgtags	(revision 3809)
+++ .hgtags	(revision 3856)
@@ -38,2 +38,3 @@
 57c79fd7f152a9d954c85f0b58cfdccd8b1ed8eb 2.13.1
 076e9950a9dc2bce7fd6d9ee7147ca60f26b2233 2.14.1
+08b090767191a6566ca4c8e559eb0cb0ebcc90df 2.14.2
Index: admin/auth.php
===================================================================
--- admin/auth.php	(revision 3731)
+++ admin/auth.php	(revision 3874)
@@ -122,9 +122,9 @@
             throw new Exception();
         }
-        $data = array(
+        $data = [
             'user_id'       => base64_decode($tmp_data[0]),
             'cookie_admin'  => $tmp_data[1],
             'user_remember' => $tmp_data[2] == '1'
-        );
+        ];
         if ($data['user_id'] === false) {
             throw new Exception();
@@ -190,9 +190,9 @@
 
     if ($check_perms && $core->auth->mustChangePassword()) {
-        $login_data = join('/', array(
+        $login_data = join('/', [
             base64_encode($user_id),
             $cookie_admin,
             empty($_POST['user_remember']) ? '0' : '1'
-        ));
+        ]);
 
         if (!$core->auth->allowPassChange()) {
@@ -294,8 +294,8 @@
     '<p><label for="user_id">' . __('Username:') . '</label> ' .
     form::field('user_id', 20, 32,
-        array(
+        [
             'default'      => html::escapeHTML($user_id),
             'autocomplete' => 'username'
-        )
+        ]
     ) .
     '</p>' .
@@ -303,8 +303,8 @@
     '<p><label for="user_email">' . __('Email:') . '</label> ' .
     form::email('user_email',
-        array(
+        [
             'default'      => html::escapeHTML($user_email),
             'autocomplete' => 'email'
-        )
+        ]
     ) .
     '</p>' .
@@ -322,14 +322,14 @@
     '<p><label for="new_pwd">' . __('New password:') . '</label> ' .
     form::password('new_pwd', 20, 255,
-        array(
+        [
             'autocomplete' => 'new-password'
-        )
+        ]
     ) . '</p>' .
 
     '<p><label for="new_pwd_c">' . __('Confirm password:') . '</label> ' .
     form::password('new_pwd_c', 20, 255,
-        array(
+        [
             'autocomplete' => 'new-password'
-        )
+        ]
     ) . '</p>' .
     '</div>' .
@@ -338,5 +338,5 @@
     form::hidden('login_data', $login_data) . '</p>';
 } else {
-    if (is_callable(array($core->auth, 'authForm'))) {
+    if (is_callable([$core->auth, 'authForm'])) {
         echo $core->auth->authForm($user_id);
     } else {
@@ -356,15 +356,15 @@
         '<p><label for="user_id">' . __('Username:') . '</label> ' .
         form::field('user_id', 20, 32,
-            array(
+            [
                 'default'      => html::escapeHTML($user_id),
                 'autocomplete' => 'username'
-            )
+            ]
         ) . '</p>' .
 
         '<p><label for="user_pwd">' . __('Password:') . '</label> ' .
         form::password('user_pwd', 20, 255,
-            array(
+            [
                 'autocomplete' => 'current-password'
-            )
+            ]
         ) . '</p>' .
 
@@ -397,7 +397,7 @@
             echo '<p id="more"><strong>' . __('Connection issue?') . '</strong></p>';
             if ($core->auth->allowPassChange()) {
-                echo '<p><a href="' . $core->adminurl->get('admin.auth', array('recover' => 1)) . '">' . __('I forgot my password') . '</a></p>';
+                echo '<p><a href="' . $core->adminurl->get('admin.auth', ['recover' => 1]) . '">' . __('I forgot my password') . '</a></p>';
             }
-            echo '<p><a href="' . $core->adminurl->get('admin.auth', array('safe_mode' => 1)) . '" id="safe_mode_link">' . __('I want to log in in safe mode') . '</a></p>';
+            echo '<p><a href="' . $core->adminurl->get('admin.auth', ['safe_mode' => 1]) . '" id="safe_mode_link">' . __('I want to log in in safe mode') . '</a></p>';
         }
 
Index: admin/blog.php
===================================================================
--- admin/blog.php	(revision 3731)
+++ admin/blog.php	(revision 3874)
@@ -48,5 +48,5 @@
         $core->callBehavior('adminAfterBlogCreate', $cur, $blog_id, $blog_settings);
         dcPage::addSuccessNotice(sprintf(__('Blog "%s" successfully created'), html::escapeHTML($cur->blog_name)));
-        $core->adminurl->redirect("admin.blog", array('id' => $cur->blog_id));
+        $core->adminurl->redirect("admin.blog", ['id' => $cur->blog_id]);
     } catch (Exception $e) {
         $core->error->add($e->getMessage());
@@ -60,9 +60,9 @@
     dcPage::open(__('New blog'), dcPage::jsConfirmClose('blog-form'),
         dcPage::breadcrumb(
-            array(
+            [
                 __('System')   => '',
                 __('Blogs')    => $core->adminurl->get("admin.blogs"),
                 __('New blog') => ''
-            ))
+            ])
     );
 
@@ -73,8 +73,8 @@
     '<p><label class="required" for="blog_id"><abbr title="' . __('Required field') . '">*</abbr> ' . __('Blog ID:') . '</label> ' .
     form::field('blog_id', 30, 32,
-        array(
+        [
             'default'    => html::escapeHTML($blog_id),
             'extra_html' => 'required placeholder="' . __('Blog ID') . '"'
-        )
+        ]
     ) . '</p>' .
     '<p class="form-note">' . __('At least 2 characters using letters, numbers or symbols.') . '</p> ';
@@ -83,17 +83,17 @@
     '<p><label class="required" for="blog_name"><abbr title="' . __('Required field') . '">*</abbr> ' . __('Blog name:') . '</label> ' .
     form::field('blog_name', 30, 255,
-        array(
+        [
             'default'    => html::escapeHTML($blog_name),
             'extra_html' => 'required placeholder="' . __('Blog name') . '"'
-        )
+        ]
     ) . '</p>' .
 
     '<p><label class="required" for="blog_url"><abbr title="' . __('Required field') . '">*</abbr> ' . __('Blog URL:') . '</label> ' .
     form::url('blog_url',
-        array(
+        [
             'size'       => 30,
             'default'    => html::escapeHTML($blog_url),
             'extra_html' => 'required placeholder="' . __('Blog URL') . '"'
-        )
+        ]
     ) . '</p>' .
 
Index: admin/blog_del.php
===================================================================
--- admin/blog_del.php	(revision 3731)
+++ admin/blog_del.php	(revision 3874)
@@ -48,9 +48,9 @@
 dcPage::open(__('Delete a blog'), '',
     dcPage::breadcrumb(
-        array(
+        [
             __('System')        => '',
             __('Blogs')         => $core->adminurl->get("admin.blogs"),
             __('Delete a blog') => ''
-        ))
+        ])
 );
 
@@ -66,5 +66,5 @@
     '<div>' . $core->formNonce() . '</div>' .
     '<p><label for="pwd">' . __('Your password:') . '</label> ' .
-    form::password('pwd', 20, 255, array('autocomplete' => 'current-password')) . '</p>' .
+    form::password('pwd', 20, 255, ['autocomplete' => 'current-password']) . '</p>' .
     '<p><input type="submit" class="delete" name="del" value="' . __('Delete this blog') . '" />' .
     form::hidden('blog_id', $blog_id) . '</p>' .
Index: admin/blog_pref.php
===================================================================
--- admin/blog_pref.php	(revision 3731)
+++ admin/blog_pref.php	(revision 3874)
@@ -48,5 +48,5 @@
 
     $action = $core->adminurl->get("admin.blog");
-    $redir  = $core->adminurl->get("admin.blog", array('id' => "%s"), '&', true);
+    $redir  = $core->adminurl->get("admin.blog", ['id' => "%s"], '&', true);
 }
 
@@ -61,9 +61,9 @@
 $date_formats       = $blog_settings->system->date_formats;
 $time_formats       = $blog_settings->system->time_formats;
-$date_formats_combo = array('' => '');
+$date_formats_combo = ['' => ''];
 foreach ($date_formats as $format) {
     $date_formats_combo[dt::str($format, $now)] = $format;
 }
-$time_formats_combo = array('' => '');
+$time_formats_combo = ['' => ''];
 foreach ($time_formats as $format) {
     $time_formats_combo[dt::str($format, $now)] = $format;
@@ -71,11 +71,11 @@
 
 # URL scan modes
-$url_scan_combo = array(
+$url_scan_combo = [
     'PATH_INFO'    => 'path_info',
     'QUERY_STRING' => 'query_string'
-);
+];
 
 # Post URL combo
-$post_url_combo = array(
+$post_url_combo = [
     __('year/month/day/title') => '{y}/{m}/{d}/{t}',
     __('year/month/title')     => '{y}/{m}/{t}',
@@ -84,5 +84,5 @@
     __('post id/title')        => '{id}/{t}',
     __('post id')              => '{id}'
-);
+];
 if (!in_array($blog_settings->system->post_url_format, $post_url_combo)) {
     $post_url_combo[html::escapeHTML($blog_settings->system->post_url_format)] = html::escapeHTML($blog_settings->system->post_url_format);
@@ -90,12 +90,12 @@
 
 # Note title tag combo
-$note_title_tag_combo = array(
+$note_title_tag_combo = [
     __('H4') => 0,
     __('H3') => 1,
     __('P')  => 2
-);
+];
 
 # Image title combo
-$img_title_combo = array(
+$img_title_combo = [
     __('(none)')                     => '',
     __('Title')                      => 'Title ;; separator(, )',
@@ -103,5 +103,5 @@
     __('Title, Country, Date')       => 'Title ;; Country ;; Date(%b %Y) ;; separator(, )',
     __('Title, City, Country, Date') => 'Title ;; City ;; Country ;; Date(%b %Y) ;; separator(, )'
-);
+];
 if (!in_array($blog_settings->system->media_img_title_pattern, $img_title_combo)) {
     $img_title_combo[html::escapeHTML($blog_settings->system->media_img_title_pattern)] = html::escapeHTML($blog_settings->system->media_img_title_pattern);
@@ -109,5 +109,5 @@
 
 # Image default size combo
-$img_default_size_combo = array();
+$img_default_size_combo = [];
 try {
     $media                                  = new dcMedia($core);
@@ -121,28 +121,28 @@
 
 # Image default alignment combo
-$img_default_alignment_combo = array(
+$img_default_alignment_combo = [
     __('None')   => 'none',
     __('Left')   => 'left',
     __('Right')  => 'right',
     __('Center') => 'center'
-);
+];
 
 # Image default legend and title combo
-$img_default_legend_combo = array(
+$img_default_legend_combo = [
     __('Legend and title') => 'legend',
     __('Title')            => 'title',
     __('None')             => 'none'
-);
+];
 
 # Robots policy options
-$robots_policy_options = array(
+$robots_policy_options = [
     'INDEX,FOLLOW'               => __("I would like search engines and archivers to index and archive my blog's content."),
     'INDEX,FOLLOW,NOARCHIVE'     => __("I would like search engines and archivers to index but not archive my blog's content."),
     'NOINDEX,NOFOLLOW,NOARCHIVE' => __("I would like to prevent search engines and archivers from indexing or archiving my blog's content.")
-);
+];
 
 # jQuery available versions
 $jquery_root           = dirname(__FILE__) . '/../inc/js/jquery';
-$jquery_versions_combo = array(__('Default') . ' (' . DC_DEFAULT_JQUERY . ')' => DC_DEFAULT_JQUERY);
+$jquery_versions_combo = [__('Default') . ' (' . DC_DEFAULT_JQUERY . ')' => DC_DEFAULT_JQUERY];
 if (is_dir($jquery_root) && is_readable($jquery_root)) {
     if (($d = @dir($jquery_root)) !== false) {
@@ -295,16 +295,16 @@
 if ($standalone) {
     $breadcrumb = dcPage::breadcrumb(
-        array(
+        [
             html::escapeHTML($blog_name) => '',
             __('Blog settings')          => ''
-        )
+        ]
     );
 } else {
     $breadcrumb = dcPage::breadcrumb(
-        array(
+        [
             __('System')                                               => '',
             __('Blogs')                                                => $core->adminurl->get("admin.blogs"),
             __('Blog settings') . ' : ' . html::escapeHTML($blog_name) => ''
-        ));
+        ]);
 }
 
@@ -324,5 +324,5 @@
     "</script>" .
     dcPage::jsConfirmClose('blog-form') .
-    ($rte_flag ? $core->callBehavior('adminPostEditor', $desc_editor['xhtml'], 'blog_desc', array('#blog_desc'), 'xhtml') : '') .
+    ($rte_flag ? $core->callBehavior('adminPostEditor', $desc_editor['xhtml'], 'blog_desc', ['#blog_desc'], 'xhtml') : '') .
     dcPage::jsLoad('js/_blog_pref.js') .
 
@@ -345,5 +345,5 @@
     echo
     '<div class="multi-part" id="params" title="' . __('Parameters') . '">' .
-    '<h3 class="out-of-screen-if-js">' . __('Parameters') . '</h3>' .
+    '<div id="standard-pref"><h3>' . __('Blog parameters') . '</h3>' .
         '<form action="' . $action . '" method="post" id="blog-form">';
 
@@ -355,8 +355,8 @@
     '<p><label for="blog_name" class="required"><abbr title="' . __('Required field') . '">*</abbr> ' . __('Blog name:') . '</label>' .
     form::field('blog_name', 30, 255,
-        array(
+        [
             'default'    => html::escapeHTML($blog_name),
             'extra_html' => 'required placeholder="' . __('Blog name') . '"'
-        )
+        ]
     ) . '</p>';
 
@@ -418,8 +418,8 @@
     __('Moderate comments') . '</label></p>' .
     '<p><label for="comments_ttl" class="classic">' . sprintf(__('Leave comments open for %s days') . '.',
-        form::number('comments_ttl', array(
+        form::number('comments_ttl', [
             'min'     => 0,
             'max'     => 999,
-            'default' => $blog_settings->system->comments_ttl)
+            'default' => $blog_settings->system->comments_ttl]
         )) .
     '</label></p>' .
@@ -441,8 +441,8 @@
     __('Moderate trackbacks') . '</label></p>' .
     '<p><label for="trackbacks_ttl" class="classic">' . sprintf(__('Leave trackbacks open for %s days') . '.',
-        form::number('trackbacks_ttl', array(
+        form::number('trackbacks_ttl', [
             'min'     => 0,
             'max'     => 999,
-            'default' => $blog_settings->system->trackbacks_ttl)
+            'default' => $blog_settings->system->trackbacks_ttl]
         )) .
     '</label></p>' .
@@ -464,5 +464,5 @@
     '<p><label for="date_format">' . __('Date format:') . '</label> ' .
     form::field('date_format', 30, 255, html::escapeHTML($blog_settings->system->date_format)) .
-    form::combo('date_format_select', $date_formats_combo, array('extra_html' => 'title="' . __('Pattern of date') . '"')) .
+    form::combo('date_format_select', $date_formats_combo, ['extra_html' => 'title="' . __('Pattern of date') . '"']) .
     '</p>' .
     '<p class="chosen form-note">' . __('Sample:') . ' ' . dt::str(html::escapeHTML($blog_settings->system->date_format)) . '</p>' .
@@ -470,5 +470,5 @@
     '<p><label for="time_format">' . __('Time format:') . '</label>' .
     form::field('time_format', 30, 255, html::escapeHTML($blog_settings->system->time_format)) .
-    form::combo('time_format_select', $time_formats_combo, array('extra_html' => 'title="' . __('Pattern of time') . '"')) .
+    form::combo('time_format_select', $time_formats_combo, ['extra_html' => 'title="' . __('Pattern of time') . '"']) .
     '</p>' .
     '<p class="chosen form-note">' . __('Sample:') . ' ' . dt::str(html::escapeHTML($blog_settings->system->time_format)) . '</p>' .
@@ -485,32 +485,32 @@
     '<div class="col">' .
     '<p><label for="nb_post_for_home" class="classic">' . sprintf(__('Display %s entries on home page'),
-        form::number('nb_post_for_home', array(
+        form::number('nb_post_for_home', [
             'min'     => 1,
             'max'     => 999,
-            'default' => $blog_settings->system->nb_post_for_home)
+            'default' => $blog_settings->system->nb_post_for_home]
         )) .
     '</label></p>' .
 
     '<p><label for="nb_post_per_page" class="classic">' . sprintf(__('Display %s entries per page'),
-        form::number('nb_post_per_page', array(
+        form::number('nb_post_per_page', [
             'min'     => 1,
             'max'     => 999,
-            'default' => $blog_settings->system->nb_post_per_page)
+            'default' => $blog_settings->system->nb_post_per_page]
         )) .
     '</label></p>' .
 
     '<p><label for="nb_post_per_feed" class="classic">' . sprintf(__('Display %s entries per feed'),
-        form::number('nb_post_per_feed', array(
+        form::number('nb_post_per_feed', [
             'min'     => 1,
             'max'     => 999,
-            'default' => $blog_settings->system->nb_post_per_feed)
+            'default' => $blog_settings->system->nb_post_per_feed]
         )) .
     '</label></p>' .
 
     '<p><label for="nb_comment_per_feed" class="classic">' . sprintf(__('Display %s comments per feed'),
-        form::number('nb_comment_per_feed', array(
+        form::number('nb_comment_per_feed', [
             'min'     => 1,
             'max'     => 999,
-            'default' => $blog_settings->system->nb_comment_per_feed)
+            'default' => $blog_settings->system->nb_comment_per_feed]
         )) .
     '</label></p>' .
@@ -539,42 +539,42 @@
     '<h5>' . __('Generated image sizes (max dimension in pixels)') . '</h5>' .
     '<p class="field"><label for="media_img_t_size">' . __('Thumbnail') . '</label> ' .
-    form::number('media_img_t_size', array(
+    form::number('media_img_t_size', [
         'min'     => -1,
         'max'     => 999,
         'default' => $blog_settings->system->media_img_t_size
-    )) .
+    ]) .
     '</p>' .
 
     '<p class="field"><label for="media_img_s_size">' . __('Small') . '</label> ' .
-    form::number('media_img_s_size', array(
+    form::number('media_img_s_size', [
         'min'     => -1,
         'max'     => 999,
         'default' => $blog_settings->system->media_img_s_size
-    )) .
+    ]) .
     '</p>' .
 
     '<p class="field"><label for="media_img_m_size">' . __('Medium') . '</label> ' .
-    form::number('media_img_m_size', array(
+    form::number('media_img_m_size', [
         'min'     => -1,
         'max'     => 999,
         'default' => $blog_settings->system->media_img_m_size
-    )) .
+    ]) .
     '</p>' .
 
     '<h5>' . __('Default size of the inserted video (in pixels)') . '</h5>' .
     '<p class="field"><label for="media_video_width">' . __('Width') . '</label> ' .
-    form::number('media_video_width', array(
+    form::number('media_video_width', [
         'min'     => -1,
         'max'     => 999,
         'default' => $blog_settings->system->media_video_width
-    )) .
+    ]) .
     '</p>' .
 
     '<p class="field"><label for="media_video_height">' . __('Height') . '</label> ' .
-    form::number('media_video_height', array(
+    form::number('media_video_height', [
         'min'     => -1,
         'max'     => 999,
         'default' => $blog_settings->system->media_video_height
-    )) .
+    ]) .
     '</p>' .
 
@@ -615,4 +615,5 @@
     '<br class="clear" />' . //Opera sucks
 
+    '</div>' .
     '</div>';
 
@@ -629,10 +630,10 @@
         echo
         '<p><label for="blog_url" class="required"><abbr title="' . __('Required field') . '">*</abbr> ' . __('Blog URL:') . '</label>' .
-        form::url('blog_url', array(
+        form::url('blog_url', [
             'size'       => 50,
             'max'        => 255,
             'default'    => html::escapeHTML($blog_url),
             'extra_html' => 'required placeholder="' . __('Blog URL') . '"'
-        )) .
+        ]) .
         '</p>' .
 
@@ -720,5 +721,5 @@
     foreach ($robots_policy_options as $k => $v) {
         echo '<p><label for="robots_policy-' . $i . '" class="classic">' .
-        form::radio(array('robots_policy', 'robots_policy-' . $i), $k, $blog_settings->system->robots_policy == $k) . ' ' . $v . '</label></p>';
+        form::radio(['robots_policy', 'robots_policy-' . $i], $k, $blog_settings->system->robots_policy == $k) . ' ' . $v . '</label></p>';
         $i++;
     }
@@ -763,5 +764,5 @@
         '<form action="' . $core->adminurl->get("admin.blog.del") . '" method="post">' .
         '<p><input type="submit" class="delete" value="' . __('Delete this blog') . '" />' .
-        form::hidden(array('blog_id'), $blog_id) .
+        form::hidden(['blog_id'], $blog_id) .
         $core->formNonce() . '</p>' .
             '</form>';
@@ -790,5 +791,5 @@
     } else {
         if ($core->auth->isSuperAdmin()) {
-            $user_url_p = '<a href="' . $core->adminurl->get("admin.user", array('id' => '%1$s'), '&amp;', true) . '">%1$s</a>';
+            $user_url_p = '<a href="' . $core->adminurl->get("admin.user", ['id' => '%1$s'], '&amp;', true) . '">%1$s</a>';
         } else {
             $user_url_p = '%1$s';
@@ -825,8 +826,8 @@
                     '<ul>';
                 foreach ($post_type as $type => $pt_info) {
-                    $params = array(
+                    $params = [
                         'post_type' => $type,
                         'user_id'   => $k
-                    );
+                    ];
                     echo '<li>' . sprintf(__('%1$s: %2$s'), __($pt_info['label']), $core->blog->getPosts($params, true)->f(0)) . '</li>';
                 }
@@ -861,8 +862,8 @@
                     '<form action="' . $core->adminurl->get('admin.user.actions') . '" method="post">' .
                     '<p class="change-user-perm"><input type="submit" class="reset" value="' . __('Change permissions') . '" />' .
-                    form::hidden(array('redir'), $core->adminurl->get("admin.blog.pref", array('id' => $k), '&')) .
-                    form::hidden(array('action'), 'perms') .
-                    form::hidden(array('users[]'), $k) .
-                    form::hidden(array('blogs[]'), $blog_id) .
+                    form::hidden(['redir'], $core->adminurl->get("admin.blog.pref", ['id' => $k], '&')) .
+                    form::hidden(['action'], 'perms') .
+                    form::hidden(['users[]'], $k) .
+                    form::hidden(['blogs[]'], $blog_id) .
                     $core->formNonce() .
                         '</p>' .
Index: admin/blog_theme.php
===================================================================
--- admin/blog_theme.php	(revision 3731)
+++ admin/blog_theme.php	(revision 3874)
@@ -20,5 +20,6 @@
     $core->themes,
     $core->blog->themes_path,
-    $core->blog->settings->system->store_theme_url
+    $core->blog->settings->system->store_theme_url,
+    !empty($_GET['nocache'])
 );
 adminThemesList::$distributed_modules = explode(',', DC_DISTRIB_THEMES);
@@ -36,5 +37,5 @@
     }
 
-    http::cache(array_merge(array($f), get_included_files()));
+    http::cache(array_merge([$f], get_included_files()));
 
     header('Content-Type: ' . files::getMimeType($f));
@@ -63,9 +64,9 @@
 
         dcPage::breadcrumb(
-            array(
+            [
                 html::escapeHTML($core->blog->name)                                 => '',
                 __('Blog appearance')                                               => $list->getURL('', false),
                 '<span class="page-title">' . __('Theme configuration') . '</span>' => ''
-            ))
+            ])
     );
 
@@ -97,12 +98,18 @@
 
     dcPage::breadcrumb(
-        array(
+        [
             html::escapeHTML($core->blog->name)                             => '',
             '<span class="page-title">' . __('Blog appearance') . '</span>' => ''
-        ))
+        ])
 );
 
 # -- Display modules lists --
 if ($core->auth->isSuperAdmin()) {
+
+    if (!$core->error->flag()) {
+        if (!empty($_GET['nocache'])) {
+            dcPage::success(__('Manual checking of themes update done successfully.'));
+        }
+    }
 
     # Updated modules from repo
@@ -122,6 +129,6 @@
             ->setModules($modules)
             ->displayModules(
-                /*cols */array('checkbox', 'name', 'sshot', 'desc', 'author', 'version', 'current_version', 'parent'),
-                /* actions */array('update', 'delete')
+                /*cols */['checkbox', 'name', 'sshot', 'desc', 'author', 'version', 'current_version', 'parent'],
+                /* actions */['update', 'delete']
             );
 
@@ -134,4 +141,10 @@
 
             '</div>';
+    } else {
+        echo
+        '<form action="' . $list->getURL('', false) . '" method="get">' .
+        '<p><input type="hidden" name="nocache" value="1" />' .
+        '<input type="submit" value="' . __('Force checking update of themes') . '" /></p>' .
+            '</form>';
     }
 }
@@ -151,6 +164,6 @@
         ->setModules($modules)
         ->displayModules(
-            /* cols */array('sshot', 'distrib', 'name', 'config', 'desc', 'author', 'version', 'parent'),
-            /* actions */array('select', 'behavior', 'deactivate', 'delete')
+            /* cols */['sshot', 'distrib', 'name', 'config', 'desc', 'author', 'version', 'parent'],
+            /* actions */['select', 'behavior', 'deactivate', 'delete']
         );
 
@@ -173,6 +186,6 @@
         ->setModules($modules)
         ->displayModules(
-            /* cols */array('name', 'distrib'),
-            /* actions */array('activate', 'delete')
+            /* cols */['name', 'distrib'],
+            /* actions */['activate', 'delete']
         );
 
@@ -200,6 +213,6 @@
             ->displayIndex()
             ->displayModules(
-                /* cols */array('expander', 'sshot', 'name', 'score', 'config', 'desc', 'author', 'version', 'parent', 'details', 'support'),
-                /* actions */array('install'),
+                /* cols */['expander', 'sshot', 'name', 'score', 'config', 'desc', 'author', 'version', 'parent', 'details', 'support'],
+                /* actions */['install'],
                 /* nav limit */true
             );
Index: admin/blogs.php
===================================================================
--- admin/blogs.php	(revision 3746)
+++ admin/blogs.php	(revision 3874)
@@ -14,19 +14,19 @@
 # Filters
 $status_combo = array_merge(
-    array('-' => ''),
+    ['-' => ''],
     dcAdminCombos::getBlogStatusesCombo()
 );
 
-$sortby_combo = array(
+$sortby_combo = [
     __('Last update') => 'blog_upddt',
     __('Blog name')   => 'UPPER(blog_name)',
     __('Blog ID')     => 'B.blog_id',
     __('Status')      => 'blog_status'
-);
+];
 
-$order_combo = array(
+$order_combo = [
     __('Descending') => 'desc',
     __('Ascending')  => 'asc'
-);
+];
 
 # Actions
@@ -86,5 +86,5 @@
 }
 
-$params['limit'] = array((($page - 1) * $nb_per_page), $nb_per_page);
+$params['limit'] = [(($page - 1) * $nb_per_page), $nb_per_page];
 
 try {
@@ -110,8 +110,8 @@
     dcPage::jsLoad('js/_blogs.js') . dcPage::jsFilterControl($show_filters),
     dcPage::breadcrumb(
-        array(
+        [
             __('System')        => '',
             __('List of blogs') => ''
-        ))
+        ])
 );
 
@@ -163,5 +163,5 @@
             '<p class="col right"><label for="action" class="classic">' . __('Selected blogs action:') . '</label> ' .
             form::combo('action', $blogs_actions_page->getCombo(),
-                array('class' => 'online', 'extra_html' => 'title="' . __('Actions') . '"')) .
+                ['class' => 'online', 'extra_html' => 'title="' . __('Actions') . '"']) .
             $core->formNonce() .
             '<input id="do-action" type="submit" value="' . __('ok') . '" /></p>' .
@@ -169,11 +169,11 @@
 
             '<p><label for="pwd" class="classic">' . __('Please give your password to confirm blog(s) deletion:') . '</label> ' .
-            form::password('pwd', 20, 255, array('autocomplete' => 'current-password')) . '</p>' .
+            form::password('pwd', 20, 255, ['autocomplete' => 'current-password']) . '</p>' .
 
-            form::hidden(array('sortby'), $sortby) .
-            form::hidden(array('order'), $order) .
-            form::hidden(array('status'), $status) .
-            form::hidden(array('page'), $page) .
-            form::hidden(array('nb'), $nb_per_page) .
+            form::hidden(['sortby'], $sortby) .
+            form::hidden(['order'], $order) .
+            form::hidden(['status'], $status) .
+            form::hidden(['page'], $page) .
+            form::hidden(['nb'], $nb_per_page) .
 
             '</form>' : ''),
Index: admin/categories.php
===================================================================
--- admin/categories.php	(revision 3731)
+++ admin/categories.php	(revision 3874)
@@ -110,8 +110,8 @@
 dcPage::open(__('Categories'), $starting_script,
     dcPage::breadcrumb(
-        array(
+        [
             html::escapeHTML($core->blog->name) => '',
             __('Categories')                    => ''
-        ))
+        ])
 );
 
@@ -156,7 +156,7 @@
         echo
         '<p class="cat-title"><label class="classic" for="cat_' . $rs->cat_id . '"><a href="' .
-        $core->adminurl->get("admin.category", array('id' => $rs->cat_id)) . '">' . html::escapeHTML($rs->cat_title) .
+        $core->adminurl->get("admin.category", ['id' => $rs->cat_id]) . '">' . html::escapeHTML($rs->cat_title) .
         '</a></label> </p>' .
-        '<p class="cat-nb-posts">(<a href="' . $core->adminurl->get("admin.posts", array('cat_id' => $rs->cat_id)) . '">' .
+        '<p class="cat-nb-posts">(<a href="' . $core->adminurl->get("admin.posts", ['cat_id' => $rs->cat_id]) . '">' .
         sprintf(($rs->nb_post > 1 ? __('%d entries') : __('%d entry')), $rs->nb_post) . '</a>' .
         ', ' . __('total:') . ' ' . $rs->nb_total . ')</p>' .
@@ -169,5 +169,5 @@
             echo
             '<label for="mov_cat_' . $rs->cat_id . '">' . __('Move entries to') . '</label> ' .
-            form::combo(array('mov_cat[' . $rs->cat_id . ']', 'mov_cat_' . $rs->cat_id), array_filter($categories_combo,
+            form::combo(['mov_cat[' . $rs->cat_id . ']', 'mov_cat_' . $rs->cat_id], array_filter($categories_combo,
                 function ($cat) {return $cat->value != $GLOBALS['rs']->cat_id;}
             ), '', '') .
